Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000872KdenliveRenderingpublic2009-05-28 02:482009-07-01 21:55
Reportergsking1 
Assigned Toadministrator 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target Version0.7.5Fixed in Version0.7.5 
Summary0000872: Always get error when rendering to h264
DescriptionI always get an error and invalid file when I try to render to h264. I have no problems with dvd, mpeg-4, hdv, and others. Here is the error log from the h264 render:

Rendering of /home/gsking/Documents/test/untitled-h264.mp4 crashed
[mpegts @ 0x8b5a0d0]read_seek: 0 34761039
[mpegts @ 0x8b5a0d0]gen_seek: 0 34761039
[mpegts @ 0x8b5a0d0]pos_min=0x9d28 pos_max=0x2d3d941c dts_min=34754121 dts_max=54993324
[mpegts @ 0x8b5a0d0]40232 344040 759010332 / 34754121 34762222 54993324 target:34761039 limit:759010332 start:299657 noc:0
[mpegts @ 0x8b5a0d0]pos_min=0x9d28 pos_max=0x53fe8 dts_min=34754121 dts_max=34762222
[mpegts @ 0x8b5a0d0]40232 344040 344040 / 34754121 34762222 34762222 target:34761039 limit:299656 start:255291 noc:1
[mpegts @ 0x8b5a0d0]pos_min=0x9d28 pos_max=0x53fe8 dts_min=34754121 dts_max=34762222
[mpegts @ 0x8b5a0d0]40232 242896 344040 / 34754121 34759525 34762222 target:34761039 limit:255290 start:147761 noc:0
[mpegts @ 0x8b5a0d0]pos_min=0x3b4d0 pos_max=0x53fe8 dts_min=34759525 dts_max=34762222
[mpegts @ 0x8b5a0d0]242896 344040 344040 / 34759525 34762222 34762222 target:34761039 limit:255290 start:242897 noc:1
[mpegts @ 0x8b5a0d0]pos=0x3b4d0 34759525[mpegts @ 0x8be6290]read_seek: 0 34761039
[mpegts @ 0x8be6290]gen_seek: 0 34761039
[mpegts @ 0x8be6290]pos_min=0x9d28 pos_max=0x2d3d941c dts_min=34754121 dts_max=54993324
[mpegts @ 0x8be6290]40232 344040 759010332 / 34754121 34762222 54993324 target:34761039 limit:759010332 start:299657 noc:0
[mpegts @ 0x8be6290]pos_min=0x9d28 pos_max=0x53fe8 dts_min=34754121 dts_max=34762222
[mpegts @ 0x8be6290]40232 344040 344040 / 34754121 34762222 34762222 target:34761039 limit:299656 start:255291 noc:1
[mpegts @ 0x8be6290]pos_min=0x9d28 pos_max=0x53fe8 dts_min=34754121 dts_max=34762222
[mpegts @ 0x8be6290]40232 242896 344040 / 34754121 34759525 34762222 target:34761039 limit:255290 start:147761 noc:0
[mpegts @ 0x8be6290]pos_min=0x3b4d0 pos_max=0x53fe8 dts_min=34759525 dts_max=34762222
[mpegts @ 0x8be6290]242896 344040 344040 / 34759525 34762222 34762222 target:34761039 limit:255290 start:242897 noc:1
[mpegts @ 0x8be6290]pos=0x3b4d0 34759525[libx264 @ 0x8adf910]no ratecontrol method specified
[mpegts @ 0x8cc25e0]read_seek: 0 34761039
[mpegts @ 0x8cc25e0]gen_seek: 0 34761039
[mpegts @ 0x8cc25e0]pos_min=0x9d28 pos_max=0x2d3d941c dts_min=34754121 dts_max=54993324
[mpegts @ 0x8cc25e0]40232 344040 759010332 / 34754121 34762222 54993324 target:34761039 limit:759010332 start:299657 noc:0
[mpegts @ 0x8cc25e0]pos_min=0x9d28 pos_max=0x53fe8 dts_min=34754121 dts_max=34762222
[mpegts @ 0x8cc25e0]40232 344040 344040 / 34754121 34762222 34762222 target:34761039 limit:299656 start:255291 noc:1
[mpegts @ 0x8cc25e0]pos_min=0x9d28 pos_max=0x53fe8 dts_min=34754121 dts_max=34762222
[mpegts @ 0x8cc25e0]40232 242896 344040 / 34754121 34759525 34762222 target:34761039 limit:255290 start:147761 noc:0
[mpegts @ 0x8cc25e0]pos_min=0x3b4d0 pos_max=0x53fe8 dts_min=34759525 dts_max=34762222
[mpegts @ 0x8cc25e0]242896 344040 344040 / 34759525 34762222 34762222 target:34761039 limit:255290 start:242897 noc:1
[mpegts @ 0x8cc25e0]pos=0x3b4d0 34759525[mpegts @ 0x8cd85f0]read_seek: 0 35863230
[mpegts @ 0x8cd85f0]gen_seek: 0 35863230
[mpegts @ 0x8cd85f0]pos_min=0x9d28 pos_max=0x2d3d941c dts_min=34754121 dts_max=54993324
[mpegts @ 0x8cd85f0]40232 41654032 759010332 / 34754121 35863822 54993324 target:35863230 limit:759010332 start:41631819 noc:0
[mpegts @ 0x8cd85f0]pos_min=0x9d28 pos_max=0x27b9710 dts_min=34754121 dts_max=35863822
[mpegts @ 0x8cd85f0]40232 41654032 41654032 / 34754121 35863822 35863822 target:35863230 limit:41631818 start:41609618 noc:1
[mpegts @ 0x8cd85f0]pos_min=0x9d28 pos_max=0x27b9710 dts_min=34754121 dts_max=35863822
[mpegts @ 0x8cd85f0]40232 20897892 41654032 / 34754121 35310325 35863822 target:35863230 limit:41609617 start:20824924 noc:0
[mpegts @ 0x8cd85f0]pos_min=0x13ee064 pos_max=0x27b9710 dts_min=35310325 dts_max=35863822
[mpegts @ 0x8cd85f0]20897892 41654032 41654032 / 35310325 35863822 35863822 target:35863230 limit:41609617 start:41587417 noc:1
[mpegts @ 0x8cd85f0]pos_min=0x13ee064 pos_max=0x27b9710 dts_min=35310325 dts_max=35863822
[mpegts @ 0x8cd85f0]20897892 31326628 41654032 / 35310325 35588425 35863822 target:35863230 limit:41587416 start:31242654 noc:0
[mpegts @ 0x8cd85f0]pos_min=0x1de01a4 pos_max=0x27b9710 dts_min=35588425 dts_max=35863822
[mpegts @ 0x8cd85f0]31326628 41654032 41654032 / 35588425 35863822 35863822 target:35863230 limit:41587416 start:41565216 noc:1
[mpegts @ 0x8cd85f0]pos_min=0x1de01a4 pos_max=0x27b9710 dts_min=35588425 dts_max=35863822
[mpegts @ 0x8cd85f0]31326628 36490236 41654032 / 35588425 35726121 35863822 target:35863230 limit:41565215 start:36445921 noc:0
[mpegts @ 0x8cd85f0]pos_min=0x22ccbfc pos_max=0x27b9710 dts_min=35726121 dts_max=35863822
[mpegts @ 0x8cd85f0]36490236 41552888 41654032 / 35726121 35861125 35863822 target:35863230 limit:41565215 start:41543015 noc:0
[mpegts @ 0x8cd85f0]pos_min=0x27a0bf8 pos_max=0x27b9710 dts_min=35861125 dts_max=35863822
[mpegts @ 0x8cd85f0]41552888 41654032 41654032 / 35861125 35863822 35863822 target:35863230 limit:41565215 start:41552889 noc:1
[mpegts @ 0x8cd85f0]pos=0x27a0bf8 35861125[mpegts @ 0x8d5cb20]read_seek: 0 34761039
[mpegts @ 0x8d5cb20]gen_seek: 0 34761039
[mpegts @ 0x8d5cb20]pos_min=0x9d28 pos_max=0x2d3d941c dts_min=34754121 dts_max=54993324
[mpegts @ 0x8d5cb20]40232 344040 759010332 / 34754121 34762222 54993324 target:34761039 limit:759010332 start:299657 noc:0
[mpegts @ 0x8d5cb20]pos_min=0x9d28 pos_max=0x53fe8 dts_min=34754121 dts_max=34762222
[mpegts @ 0x8d5cb20]40232 344040 344040 / 34754121 34762222 34762222 target:34761039 limit:299656 start:255291 noc:1
[mpegts @ 0x8d5cb20]pos_min=0x9d28 pos_max=0x53fe8 dts_min=34754121 dts_max=34762222
[mpegts @ 0x8d5cb20]40232 242896 344040 / 34754121 34759525 34762222 target:34761039 limit:255290 start:147761 noc:0
[mpegts @ 0x8d5cb20]pos_min=0x3b4d0 pos_max=0x53fe8 dts_min=34759525 dts_max=34762222
[mpegts @ 0x8d5cb20]242896 344040 344040 / 34759525 34762222 34762222 target:34761039 limit:255290 start:242897 noc:1
[mpegts @ 0x8d5cb20]pos=0x3b4d0 34759525[mpegts @ 0x8df7d50]read_seek: 0 44304663
[mpegts @ 0x8df7d50]gen_seek: 0 44304663
[mpegts @ 0x8df7d50]pos_min=0x9d28 pos_max=0x2d3d941c dts_min=34754121 dts_max=54993324
[mpegts @ 0x8df7d50]40232 358262764 759010332 / 34754121 44306722 54993324 target:44304663 limit:759010332 start:358185551 noc:0
[mpegts @ 0x8df7d50]pos_min=0x9d28 pos_max=0x155aa7ec dts_min=34754121 dts_max=44306722
[mpegts @ 0x8df7d50]40232 358161620 358262764 / 34754121 44304025 44306722 target:44304663 limit:358185550 start:358108338 noc:0
[mpegts @ 0x8df7d50]pos_min=0x15591cd4 pos_max=0x155aa7ec dts_min=44304025 dts_max=44306722
[mpegts @ 0x8df7d50]358161620 358262764 358262764 / 44304025 44306722 44306722 target:44304663 limit:358185550 start:358161621 noc:1
[mpegts @ 0x8df7d50]pos=0x15591cd4 44304025[mpegts @ 0x8cd85f0]read_seek: 0 49962315
[mpegts @ 0x8cd85f0]gen_seek: 0 49962315
[mpegts @ 0x8cd85f0]pos_min=0x9d28 pos_max=0x2d3d941c dts_min=34754121 dts_max=54993324
[mpegts @ 0x8cd85f0]40232 570381472 759010332 / 34754121 49963221 54993324 target:49962315 limit:759010332 start:570347498 noc:0
[mpegts @ 0x8cd85f0]pos_min=0x9d28 pos_max=0x21ff54a0 dts_min=34754121 dts_max=49963221
[mpegts @ 0x8cd85f0]40232 570381472 570381472 / 34754121 49963221 49963221 target:49962315 limit:570347497 start:570313522 noc:1
[mpegts @ 0x8cd85f0]pos_min=0x9d28 pos_max=0x21ff54a0 dts_min=34754121 dts_max=49963221
[mpegts @ 0x8cd85f0]40232 285261612 570381472 / 34754121 42360024 49963221 target:49962315 limit:570313521 start:285176876 noc:0
[mpegts @ 0x8cd85f0]pos_min=0x1100bf2c pos_max=0x21ff54a0 dts_min=42360024 dts_max=49963221
[mpegts @ 0x8cd85f0]285261612 570280328 570381472 / 42360024 49960523 49963221 target:49962315 limit:570313521 start:570279546 noc:0
[mpegts @ 0x8cd85f0]pos_min=0x21fdc988 pos_max=0x21ff54a0 dts_min=49960523 dts_max=49963221
[mpegts @ 0x8cd85f0]570280328 570381472 570381472 / 49960523 49963221 49963221 target:49962315 limit:570313521 start:570280329 noc:1
[mpegts @ 0x8cd85f0]pos=0x21fdc988 49960523[mpeg2video @ 0x8cdc540]Missing picture start code
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0003012)
administrator (administrator)
2009-05-31 01:10

I think h264 rendering was just solved by a recent commit by Dan Dennedy. Please update and try again or see http://kdenlive.org/forum/crashing-2-pass-h264 [^] for a workaround
(0003251)
gsking1 (reporter)
2009-06-17 18:43

Seems fixed to me. The update must have fixed it. Should be marked as resolved. Thanks, Geoff

- Issue History
Date Modified Username Field Change
2009-05-28 02:48 gsking1 New Issue
2009-05-28 02:48 gsking1 Build/Install Method => Manual build from SVN
2009-05-31 01:10 administrator Note Added: 0003012
2009-05-31 01:10 administrator Status new => feedback
2009-06-17 18:43 gsking1 Note Added: 0003251
2009-06-17 18:45 administrator Status feedback => resolved
2009-06-17 18:45 administrator Fixed in Version => Recent git
2009-06-17 18:45 administrator Resolution open => fixed
2009-06-17 18:45 administrator Assigned To => administrator
2009-06-19 02:30 xzhayon Target Version => future version
2009-06-26 21:01 administrator Fixed in Version Recent git => 0.7.5
2009-06-26 21:07 administrator Fixed in Version 0.7.5 => Recent git
2009-06-26 21:07 administrator Target Version future version => 0.7.5
2009-07-01 20:02 j-b-m Fixed in Version Recent git => 0.7.5
2009-07-01 21:55 xzhayon Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker